#
# spec file for package uname26
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# Upstream First - Policy:
# Never add any patches to this package without the upstream commit id
# in the patch. Any patches added here without a very good reason to make
# an exception will be silently removed with the next version update.

# norootforbuild


Name:           uname26
Summary:        Force uname system call to return a 2.6 kernel number
Version:        1.0
Release:        1%{?dist}
License:        GPLv2
Url:            ftp://ftp.kernel.org/pub/linux/kernel/people/ak/uname26/uname26.c
Source0:        %{name}-%{version}.tar.gz

%description
This is used for broken userspace programs that are trying to be smart
and detect what kernel version they are running on. So we have to be
smarter and change the uname response to show a 2.6.x kernel instead of
the proper 3.x one.

  Authors:      Andi Kleen <andi@firstfloor.org>

%prep
%setup -n %{name}-%{version}

%build
%{__make} OPTFLAGS="$RPM_OPT_FLAGS"

%install
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}

%changelog
* Fri Aug 26 2011 Greg Kroah-Hartman <gregkh@suse.de> 1.0-1
- initial creation
